Users Get 'ORA-29538: Java Not Installed' Logging into all OFSA 4.5 Modules

(Doc ID 813465.1)

Last updated on JULY 31, 2017

Applies to:

Oracle Profitability Manager - Version 4.5 to 4.5.41
Oracle Transfer Pricing - Version 4.5 to 4.5.41
Oracle Financial Data Manager - Version 4.5 to 4.5.41
Oracle Risk Manager - Version 4.5 to 4.5.41
Information in this document applies to any platform.
Oracle Financial Services Applications (OFSA) 4.5
Note: All OFSA 4.5 products have reached sustaining support.

Symptoms

After migrating the Oracle Financial Services Applications (OFSA) 4.5 database to a new server and upgrading to a new version of the Oracle Database (ex. 10g, 11g), non-dba users cannot log into any OFSA modules (ex. Performance Analyzer (PA), Balance and Control (BC), etc.) with their preferred Ids.  Users receive the following error after entering their username and password:

203105) Oracle drv_oci error:

OCI Function: [12] - ofetch(), ofen()
SQL Function: [4] - SELECT
Oracle Error: ORA-29538: Java not installed
ORA-06512 at "<dbowner>.OFSA_SECURE_ROLE", line 4
ORA-06512 at "<dbowner>.OFSA_SECURE_ROLE", line 19
ORA-06512 at "<dbowner>.OFSA_AUTHENTICATE", line 4

Driver Function: drv_oci::FetchNext()

SQL Statement: select ofsa_authenticate.RequestRole from dual


The OFSA schema/database owner can log into the OFSA modules successfully.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms